%bcond_without pgm

Summary:        Software library for fast, message-based applications
Name:           zeromq
Version:        4.3.5
Release:        3%{?dist}
License:        LGPLv3+
URL:            https://zeromq.org
Source0:        https://github.com/%{name}/libzmq/archive/v%{version}/libzmq-%{version}.tar.gz

BuildRequires:  make gcc-c++ autoconf automake libtool
BuildRequires:  asciidoc xmlto
BuildRequires:  libsodium-devel libunwind-devel
%if %{with pgm}
BuildRequires:  openpgm-devel krb5-devel
%endif

%description
The 0MQ lightweight messaging kernel is a library that extends the standard socket interfaces 
with features traditionally provided by dedicated messaging middle-ware products. 0MQ sockets 
provide an abstraction of asynchronous message queues, multiple messaging patterns, message 
filtering (subscriptions), seamless access to multiple transport protocols and more.

This package provides the ZeroMQ shared library.


%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides libraries and header files for developing applications that use %{name}.


%prep
%autosetup -p1 -n libzmq-%{version}

rm -rf external/wepoll

chmod -x src/xsub.hpp


%build
autoreconf -fi
%configure \
%if %{with pgm}
            --with-pgm \
            --with-libgssapi_krb5 \
%endif
            --with-libsodium \
            --enable-libunwind \
            --disable-Werror \
            --disable-static
%make_build


%install
%make_install

rm %{buildroot}%{_libdir}/libzmq.la


%check


%files
%license LICENSE
%doc README.md AUTHORS NEWS
%{_bindir}/curve_keygen
%{_libdir}/libzmq.so.5*
%{_mandir}/man3/zmq_*
%{_mandir}/man7/zmq_*
%{_mandir}/man7/zmq.*

%files devel
%{_libdir}/libzmq.so
%{_libdir}/pkgconfig/libzmq.pc
%{_includedir}/zmq*.h


%changelog
* Wed Dec 27 2023 Rebuild Robot <rebot@opencloudos.org> - 4.3.5-3
- Rebuilt for libsodium

* Fri Dec 22 2023 Rebuild Robot <rebot@opencloudos.org> - 4.3.5-2
- Rebuilt for openpgm

* Wed Dec 13 2023 Upgrade Robot <upbot@opencloudos.org> - 4.3.5-1
- Upgrade to version 4.3.5

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.4-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.4-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Wang Guodong <gordonwwang@tencent.com> - 4.3.4-1
- initial build
